Create Appointment: Knock
https://api.propexo.com/crm/v1/appointments/knockKnock does not allow specifying appointment end times or durations via their API.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the community
The Propexo unique identifier for the attribution
The date when the appointment will occur
Show 2 variants
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. This time should be specified in UTC
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The last name associated with the prospect
The primary email address associated with the prospect. This field and/or the phone_1 field are required
Primary phone number associated with the prospect. This field and/or the email_1 field are required
Possible values: Value must match regular expression ^\+?\d{1,50}$
The first name associated with the prospect
The move-in date associated with the prospect
Show 2 variants
The number of occupants living in the unit
Possible values: > 0
The amount of months for the lease term
Possible values: >= 1 and <= 18
The minimum rent of the prospect
Possible values: >= 1
The maximum rent of the prospect
Possible values: >= 1
Notes associated with the prospect
Possible values: <= 1000 characters
The number of bedrooms associated with the prospect. 0 represents a studio unit. 3 represents three or more bedrooms.
Possible values: >= 0 and <= 3
A list of pets related to the prospect
Show 3 enum values
SMALL_DOGLARGE_DOGCATThe type of initial contact with the prospect
Show 9 enum values
CALLCHATEMAILFACEBOOKFORMINTERNETKNOCK_SCHEDULESMSWALK_INThe type of appointment being scheduled.
Show 3 enum values
LIVE_VIDEOIN_PERSONSELF_GUIDEDResponse
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the community
The Propexo unique identifier for the attribution
Show 2 variants
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. This time should be specified in UTC
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The last name associated with the prospect
The primary email address associated with the prospect. This field and/or the phone_1 field are required
Primary phone number associated with the prospect. This field and/or the email_1 field are required
Possible values: Value must match regular expression ^\+?\d{1,50}$
The first name associated with the prospect
The move-in date associated with the prospect
Show 2 variants
The number of occupants living in the unit
Possible values: > 0
The amount of months for the lease term
Possible values: >= 1 and <= 18
The minimum rent of the prospect
Possible values: >= 1
The maximum rent of the prospect
Possible values: >= 1
Notes associated with the prospect
Possible values: <= 1000 characters
Possible values: >= 0 and <= 3
Show 3 enum values
SMALL_DOGLARGE_DOGCATThe type of initial contact with the prospect
Show 9 enum values
CALLCHATEMAILFACEBOOKFORMINTERNETKNOCK_SCHEDULESMSWALK_INThe type of appointment being scheduled.
Show 3 enum values
LIVE_VIDEOIN_PERSONSELF_GUIDEDErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/crm/v1/appointments/knock \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"community_id": "string",
"attribution_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"last_name": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"community_id": "string",
"attribution_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"last_name": "string",
"email_1": "string",
"phone_1": "string",
"first_name": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"number_of_occupants": 0,
"lease_term_in_months": 0,
"rent_minimum_in_cents": 0,
"rent_maximum_in_cents": 0,
"notes": "string",
"desired_num_bedrooms": "Unknown Type: array,null",
"pets": "Unknown Type: array,null",
"first_contact_type": "CALL",
"tour_type": "LIVE_VIDEO"
}
}